﻿// $Id: FormEditItem.cs 25 2008-04-20 14:51:40Z arcao $
//
// Copyright (C) 2008 Martin "Arcao" Sloup <arcao@arcao.com>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Windows.Forms;

namespace OSD.Program
{
    internal partial class FormEditItem : Form
    {
        private readonly DownloadItem di;

        public FormEditItem(DownloadItem di)
        {
            this.di = di;

            InitializeComponent();

            //uprava fontu
            Util.SetSystemFont(Controls);

            textBoxUrl.Text = di.Url;
            textBoxPassword.Text = di.Password;
            textBoxNewFilename.Text = di.NewFilename;
            textBoxDescription.Text = di.Description;
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void buttonOk_Click(object sender, EventArgs e)
        {
            di.Url = textBoxUrl.Text;
            di.Password = textBoxPassword.Text;
            di.NewFilename = textBoxNewFilename.Text;
            di.Description = textBoxDescription.Text;

            DialogResult = DialogResult.OK;
            Close();
        }
    }
}